/*
 * This file is part of Pustefix.
 *
 * Pustefix is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Pustefix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Pustefix; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
    
package org.pustefixframework.editor.webui.wrappers;
    
import de.schlund.pfixcore.generator.*;

/**
 * THIS CLASS IS AUTOGENERATED! DO NOT EDIT IN ANY WAY!
 */
@UseHandlerClass(org.pustefixframework.editor.webui.handlers.JumpToIncludePartHandler.class)
public class JumpToIncludePart extends IWrapperImpl {

    @Override
    protected synchronized void registerParams() {
        
        IWrapperParam          pinfo;
        
        // ProjectURI
        if(!params.containsKey("ProjectURI")) {
        pinfo  = new IWrapperParam("ProjectURI", false, true, null, "java.lang.String", true);
          
        params.put("ProjectURI", pinfo);
          
        }  
        
      
        // Type
        if(!params.containsKey("Type")) {
        pinfo  = new IWrapperParam("Type", false, true, null, "java.lang.String", true);
          
        params.put("Type", pinfo);
          
        }  
        
      
        // Path
        if(!params.containsKey("Path")) {
        pinfo  = new IWrapperParam("Path", false, true, null, "java.lang.String", true);
          
        params.put("Path", pinfo);
          
        }  
        
      
        // Part
        if(!params.containsKey("Part")) {
        pinfo  = new IWrapperParam("Part", false, true, null, "java.lang.String", true);
          
        params.put("Part", pinfo);
          
        }  
        
      
        // Theme
        if(!params.containsKey("Theme")) {
        pinfo  = new IWrapperParam("Theme", false, true, null, "java.lang.String", true);
          
        params.put("Theme", pinfo);
          
        }  
        
      
        super.registerParams();
    }
    
    // ProjectURI
    public java.lang.String getProjectURI() {
        return (java.lang.String) gimmeParamForKey("ProjectURI").getValue();
    }
    
    public void setStringValProjectURI(String v) {
        gimmeParamForKey("ProjectURI").
          setStringValue(new String[] {v});
    }

    public void setProjectURI(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("ProjectURI");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeProjectURI(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("ProjectURI"), scode, null, null);
    }

    public void addSCodeProjectURI(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("ProjectURI"), scode, args, level);
    }

    /**
      * @deprecated use addScodeProjectURI(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsProjectURI(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("ProjectURI"), scode, args, null);
    }
        
    // Type
    public java.lang.String getType() {
        return (java.lang.String) gimmeParamForKey("Type").getValue();
    }
    
    public void setStringValType(String v) {
        gimmeParamForKey("Type").
          setStringValue(new String[] {v});
    }

    public void setType(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Type");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeType(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Type"), scode, null, null);
    }

    public void addSCodeType(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Type"), scode, args, level);
    }

    /**
      * @deprecated use addScodeType(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsType(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Type"), scode, args, null);
    }
        
    // Path
    public java.lang.String getPath() {
        return (java.lang.String) gimmeParamForKey("Path").getValue();
    }
    
    public void setStringValPath(String v) {
        gimmeParamForKey("Path").
          setStringValue(new String[] {v});
    }

    public void setPath(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Path");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodePath(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Path"), scode, null, null);
    }

    public void addSCodePath(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Path"), scode, args, level);
    }

    /**
      * @deprecated use addScodePath(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsPath(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Path"), scode, args, null);
    }
        
    // Part
    public java.lang.String getPart() {
        return (java.lang.String) gimmeParamForKey("Part").getValue();
    }
    
    public void setStringValPart(String v) {
        gimmeParamForKey("Part").
          setStringValue(new String[] {v});
    }

    public void setPart(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Part");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodePart(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Part"), scode, null, null);
    }

    public void addSCodePart(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Part"), scode, args, level);
    }

    /**
      * @deprecated use addScodePart(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsPart(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Part"), scode, args, null);
    }
        
    // Theme
    public java.lang.String getTheme() {
        return (java.lang.String) gimmeParamForKey("Theme").getValue();
    }
    
    public void setStringValTheme(String v) {
        gimmeParamForKey("Theme").
          setStringValue(new String[] {v});
    }

    public void setTheme(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Theme");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeTheme(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Theme"), scode, null, null);
    }

    public void addSCodeTheme(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Theme"), scode, args, level);
    }

    /**
      * @deprecated use addScodeTheme(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsTheme(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Theme"), scode, args, null);
    }
        
}
  